<div class="title">ISP</div>
<?
/*=========================================*/
/* w3Analyzer Plug-in                      */
/*                                         */
/* ISP解析 (UPDATE:05/02/24)               */
/*                                         */
/* オーサカPHP | http://fmono.sub.jp/      */
/*                                         */
/*=========================================*/

/*=========================================*/
/* 初期化                                  */
/*=========================================*/
//ページ用配列 初期化
$main = array();

/*=========================================*/
/* リスト読み込み                          */
/*=========================================*/
//検索エンジン
$list_fn = "./list/isp.txt";
if(file_exists($list_fn)) $isp_list = setting_read($list_fn);
unset($list_fn);

/*=========================================*/
/* ISPリスト編集                           */
/*=========================================*/
if($isp_list){
	foreach($isp_list as $lk => $lv){
		$isp = array();
		list($isp["domain"],$isp["name"],$isp["com"]) = explode("||",$lv);
		unset($isp_list[$lk]);
		if($isp["com"]) $isp["name"] .= "||".$isp["com"];
		unset($isp["com"]);
		$isp_list[$lk] = $isp;
	}
	unset($isp);
}

/*=========================================*/
/* データ編集                              */
/*=========================================*/
if(is_array($data)){
	foreach($data as $v){
		if($v["remoteip"] == "") continue;
		foreach($isp_list as $isp_k => $isp){
			if(strpos($v["remoteip"],$isp["domain"])){
				if(!array_key_exists($isp["name"],$main)){
					$main[$isp["name"]] = 1;
				}else{
					$main[$isp["name"]]++;
				}
				//指定ログ取得
				if(isset($_GET["sel"]) && ereg_replace('(.+)(\|\|)(.+)', "\\1", $isp["name"]) == $_GET["sel"]) $select[] = $v;
				break;
			}
		}
	}
	unset($data);
}
/*=========================================*/
/* 指定ログ                                */
/*=========================================*/
if(isset($_GET["sel"])) mk_select($select);

/*=========================================*/
/* メイン処理                              */
/*=========================================*/
//ソート
arsort($main ,SORT_NUMERIC);

echo '<table>';
echo '<tr>';
echo '<th nowrap>ISP</th>';
echo '<th nowrap>件数</th>';
echo '<th nowrap>グラフ</th>';
echo '</tr>';
$i = 0;
foreach($main as $k => $v){
	$tmp["name"] = ereg_replace('(.+)(\|\|)(.+)', "\\1", $k);
	if(ereg('(.+)(\|\|)(.+)',$k,$regs)){
		$tmp["com"] = "<br>&nbsp;(".$regs[3].")";
	}else{
		$tmp["com"] = "";
	}
	//link
	$link = sel_link(query_edit("sel",$tmp["name"]),$tmp["name"]).$tmp["com"];
	
	echo '<tr id="bg_id'.$i.'" onmouseover="chBG(\'bg_id'.$i.'\', 1);" onmouseout="chBG(\'bg_id'.$i.'\', 0);">';
	echo '<td>&nbsp;'.$link.'&nbsp;</td>';
	echo '<td align="right">&nbsp;<font color="#FF0000">'.$v.'</font>&nbsp;</td>';
	echo '<td>&nbsp;'.mk_graph($v,array_sum($main),max($main)).'&nbsp;</td>';
	echo '</tr>';
	$i++;
}
//合計
echo '<tr>';
echo '<td class="bg_total" align="right">&nbsp;<b>合計：</b>&nbsp;</td>';
echo '<td class="bg_total" align="right">&nbsp;<b>'.@array_sum($main).'</b>&nbsp;</td>';
echo '<td class="bg_total">&nbsp;</td>';
echo '</tr>'."\n";
echo '</table>';
?>